# Class SendGssApiAuthPacket

java.lang.Object
org.mariadb.jdbc.plugin.authentication.addon.SendGssApiAuthPacket

All Implemented Interfaces:
  `AuthenticationPlugin`

public class SendGssApiAuthPacket extends Object implements AuthenticationPlugin
GSSAPI plugin

## Constructor Summary

Constructors
Constructor
Description
`SendGssApiAuthPacket(byte[] seed, Configuration conf)`
Initialization.

## Method Summary

Modifier and Type
Method
Description
`org.mariadb.jdbc.client.ReadableByteBuf`
`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context, boolean sslFingerPrintValidation)`
Process gssapi plugin authentication.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface AuthenticationPlugin

`hash, isMitMProof`

## Constructor Details

### SendGssApiAuthPacket

public SendGssApiAuthPacket(byte[] seed, Configuration conf)
Initialization.

Parameters:
  `seed` - server provided seed
  `conf` - Connection string options

## Method Details

### process

public org.mariadb.jdbc.client.ReadableByteBuf process(Writer out, Reader in, org.mariadb.jdbc.client.Context context, boolean sslFingerPrintValidation) throws IOException, SQLException
Process gssapi plugin authentication. see https://mariadb.com/kb/en/library/authentication-plugin-gssapi/

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `context` - context
  `sslFingerPrintValidation` - true if SSL certificate fingerprint validation is enabled
Returns:
  response packet
Throws:
  `IOException` - if socket error
  `SQLException` - if plugin exception